### Constructor

# Gdk Surfacenew_toplevel

#### Declaration [src]

    GdkSurface*
    gdk_surface_new_toplevel (
      GdkDisplay* display
    )

#### Description [src]

Creates a new toplevel surface.

#### Parameters

`display`

  Type: `GdkDisplay`

  The display to create the surface on.

  The data is owned by the caller of the function.

#### Return value

Type: `GdkSurface`

The new `GdkSurface`

The caller of the function takes ownership of the data, and is responsible for freeing it.